JNLPClassLoader.SecurityDelegateImpl (IcedTea-Web: NetX )
Date: 2015-04-30

net.sourceforge.jnlp.runtime

## Class JNLPClassLoader.SecurityDelegateImpl

- java.lang.Object
- - net.sourceforge.jnlp.runtime.JNLPClassLoader.SecurityDelegateImpl

- All Implemented Interfaces:
    JNLPClassLoader.SecurityDelegate
  Enclosing class:
    JNLPClassLoader

      public static class JNLPClassLoader.SecurityDelegateImpl
      extends java.lang.Object
      implements JNLPClassLoader.SecurityDelegate

  Handles security decision logic for the JNLPClassLoader, eg which permission level to assign to JARs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JNLPClassLoader.SecurityDelegateImpl(JNLPClassLoader classLoader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPermission(java.security.Permission perm)`
    `void` | `addPermissions(java.util.Collection<java.security.Permission> perms)`
    `void` | `addPermissions(java.security.PermissionCollection perms)`
    `SecurityDesc` | `getClassLoaderSecurity(java.lang.String codebaseHost)`
    `SecurityDesc` | `getCodebaseSecurityDesc(JARDesc jarDesc, java.lang.String codebaseHost)`
    `SecurityDesc` | `getJarPermissions(java.lang.String codebaseHost)`
    `boolean` | `getRunInSandbox()`
    `boolean` | `isPluginApplet()`
    `void` | `promptUserOnPartialSigning()`
    `void` | `setRunInSandbox()`
    `boolean` | `userPromptedForPartialSigning()`
    `boolean` | `userPromptedForSandbox()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JNLPClassLoader.SecurityDelegateImpl

          public JNLPClassLoader.SecurityDelegateImpl(JNLPClassLoader classLoader)

  - ### Method Detail

    - #### isPluginApplet

          public boolean isPluginApplet()

      Specified by:
        `isPluginApplet` in interface `JNLPClassLoader.SecurityDelegate`

    - #### getCodebaseSecurityDesc

          public SecurityDesc getCodebaseSecurityDesc(JARDesc jarDesc,
                                             java.lang.String codebaseHost)

      Specified by:
        `getCodebaseSecurityDesc` in interface `JNLPClassLoader.SecurityDelegate`

    - #### getClassLoaderSecurity

          public SecurityDesc getClassLoaderSecurity(java.lang.String codebaseHost)
                                              throws LaunchException

      Specified by:
        `getClassLoaderSecurity` in interface `JNLPClassLoader.SecurityDelegate`
      Throws:
        `LaunchException`

    - #### getJarPermissions

          public SecurityDesc getJarPermissions(java.lang.String codebaseHost)

      Specified by:
        `getJarPermissions` in interface `JNLPClassLoader.SecurityDelegate`

    - #### setRunInSandbox

          public void setRunInSandbox()
                               throws LaunchException

      Specified by:
        `setRunInSandbox` in interface `JNLPClassLoader.SecurityDelegate`
      Throws:
        `LaunchException`

    - #### promptUserOnPartialSigning

          public void promptUserOnPartialSigning()
                                          throws LaunchException

      Specified by:
        `promptUserOnPartialSigning` in interface `JNLPClassLoader.SecurityDelegate`
      Throws:
        `LaunchException`

    - #### getRunInSandbox

          public boolean getRunInSandbox()

      Specified by:
        `getRunInSandbox` in interface `JNLPClassLoader.SecurityDelegate`

    - #### userPromptedForPartialSigning

          public boolean userPromptedForPartialSigning()

      Specified by:
        `userPromptedForPartialSigning` in interface `JNLPClassLoader.SecurityDelegate`

    - #### userPromptedForSandbox

          public boolean userPromptedForSandbox()

      Specified by:
        `userPromptedForSandbox` in interface `JNLPClassLoader.SecurityDelegate`

    - #### addPermission

          public void addPermission(java.security.Permission perm)

      Specified by:
        `addPermission` in interface `JNLPClassLoader.SecurityDelegate`

    - #### addPermissions

          public void addPermissions(java.security.PermissionCollection perms)

      Specified by:
        `addPermissions` in interface `JNLPClassLoader.SecurityDelegate`

    - #### addPermissions

          public void addPermissions(java.util.Collection<java.security.Permission> perms)

      Specified by:
        `addPermissions` in interface `JNLPClassLoader.SecurityDelegate`